{% macro formText(label = "Default Text Label", input_id = "text-id", input_value = "", placeholder = "Default placeholder", mention = "", class = "", screenreader = false ) %}
<div class="form-group text {{ class }}">
	<label for="{{ input_id }}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{ label }}</label>
	<input id="{{ input_id }}" class="form-control" name="{{ input_id }}" type="text" placeholder="{{ placeholder }}" value="{{ input_value }}">
	{% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formTextarea(label = "Default Textarea label", input_id = "textarea-id", value = "", placeholder = "", mention = "", class = "", screenreader = false ) %}
<div class="form-group textarea {{ class }}">
    <label for="{{ input_id }}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{ label }}</label>
	<textarea id="{{ input_id }}" class="form-control" name="{{ input_id }}" placeholder="{{ placeholder }}" rows="3">{{ value }}</textarea>
    {% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formSelect(label = "Default Textarea label", input_id = "select-id", value = "", placeholder = "", mention = "", class = "", screenreader = false ) %}
<div class="form-group select2 {{ class }}">
	<label for="{{ input_id }}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{ label }}</label>
    <select id="{{ input_id }}" class="form-control" name="{{ input_id }}">
        <option value="1">Value 1</option>
        <option value="2">Value 2</option>
        <option value="3">Value 3</option>
        <option value="4">Value 4</option>
        <option value="5">Value 5</option>
    </select>
    {% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formSelectMultiple(label = "Default Textarea label", input_id = "select-id", value = "", placeholder = "", mention = "", class = "", screenreader = false ) %}
<div class="form-group select2-multiple {{ class }}">
	<label for="{{ input_id }}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{ label }}</label>
    <select id="{{ input_id }}" class="form-control" name="{{ input_id }}"  multiple="multiple">
        <option value="1">Value 1</option>
        <option value="2" selected>Value 2</option>
        <option value="3">Value 3</option>
        <option value="4" selected>Value 4</option>
        <option value="5">Value 5</option>
    </select>
    {% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formDatepicker(label = "Default Date Label", input_id = "datepicker-id", input_value = "", placeholder = "01/01/2018", mention = "", class = "", screenreader = false ) %}
<div class="form-group datepicker {{ class }}">
	<label for="{{ input_id }}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{ label }}</label>
	<input id="{{ input_id }}" class="form-control" name="{{ input_id }}" type="text" placeholder="{{ placeholder }}" value="{{ input_value }}">
	{% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formCheckbox(label = "Default Checkbox", input_id = "checkbox-id", input_value = "", placeholder = "", mention = "", class = "", screenreader = false, checked = false ) %}
<div class="form-group checkbox {{ class }}">
	<div class="checkbox-group">
        <label for="{{ input_id }}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}><input id="{{ input_id }}" name="{{ input_id }}" value="{{ input_value }}" type="checkbox"{% if checked === true %} checked="checked"{% endif %}> {{ label }}</label>
        {% if mention %}
        <span id="helpBlock" class="help-block">{{ mention }}</span>
        {% endif %}
    </div>
</div>
{% endmacro %}

{% macro formCheckboxMultiple(label = "Default Checkbox", mention = "", options = "" ) %}
<div class="form-group checkbox {{ class }}">
    <span class="checkbox-group-label">{{- label -}}</span>
    <div class="checkbox-group-wrapper">
        {% for option in options %}
        <div class="checkbox-group">
            <label for="{{ option.id }}" class="control-label"><input id="{{ option.id }}" name="{{ option.id }}" value="{{ option.label }}" type="checkbox">{{ option.label }}</label>
        </div>
        {% endfor %}
    </div>
    {% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formRadio(label = "Default Label", input_id = "radio-id", input_name = "radio-name", checked = "", mention = "", class = "") %}
<div class="input--field radio {{ class }}">
	<label for="{{ input_id }}"><input id="{{ input_id }}" name="{{ input_name }}" value="{{ input_id }}" type="radio"{% if checked === "checked" %} checked="checked"{% endif %}> {{ label }}</label>
</div>
{% endmacro %}

{% macro formSubmit(label = "Default button", icon = "", class = "") %}
<button class="button {{ class }}" type="submit">
	{% if icon %}
	<svg class="icon {{ icon }}"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#{{ icon }}"></use></svg>
	{% endif %}
	<span class="button--label">{{ label }}</span>
</button>
{% endmacro %}

{% macro formUpload( label = "Default Upload field *", input_id = "text-id", input_value = "", placeholder = "Default placeholder", mention = "", class = "", screenreader = false ) %}
<div class="form-group file">
	<label for="{{- input_id -}}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{- label -}}</label>
	<div class="upload-wrapper">
		<input type="file" name="{{- input_id -}}" id="{{- input_id -}}">
		<span class="upload-placeholder"></span>
	</div>
    {% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formUploadMini( label = "Default Upload field *", input_id = "text-id", input_value = "", placeholder = "Default placeholder", mention = "", class = "upload-mini", screenreader = false ) %}
<div class="form-group file {{ class }}">
	<label for="{{- input_id -}}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{- label -}}</label>
	<div class="upload-wrapper">
		<input type="file" name="{{- input_id -}}" id="{{- input_id -}}">
        <svg class="icon icon-attachment"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-attachment"></use></svg>
		<span class="upload-placeholder"></span>
	</div>
    {% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}

{% macro formPassword(label = "Default Text Label", input_id = "text-id", input_value = "", placeholder = "Default placeholder", mention = "", class = "", screenreader = false ) %}
<div class="form-group password {{ class }}">
	<label for="{{ input_id }}"{% if screenreader === true %} class="sr-only"{% else %} class="control-label"{% endif %}>{{ label }}</label>
	<input id="{{ input_id }}" class="form-control" name="{{ input_id }}" type="password" placeholder="{{ placeholder }}" value="{{ input_value }}">
    {% if mention %}
    <span id="helpBlock" class="help-block">{{ mention }}</span>
    {% endif %}
</div>
{% endmacro %}